> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/classic-push-provisioning/help/reporting-an-issue.md).

# Reporting an issue

To help us resolve issues faster, include the details below in your issue report. Missing information delays investigation.

Answer the following questions in your issue report:

1. What issue do you encounter?
   * What is the use case involved? For example: SDK configuration, push provisioning to xPay Wallets, get token list, or card management.
   * What is the expected behavior?
2. What is the nature of the issue and corresponding details?
   * Is it an SDK error? If yes, provide:
     * The SDK API that returns the error.
     * The input data you pass to the SDK API. For use cases involving a specific card, include `issuerCardRefId`.
     * The complete error details from the SDK, including `requestId` when available ([Android](https://thalesgroup.github.io/d1sdk-docs/tpc-sdk/android/latest/com/thalesgroup/tpcsdk/manager/exception/TPCSDKException.html#getRequestId\(\)) / [iOS](https://thalesgroup.github.io/d1sdk-docs/tpc-sdk/ios/latest/Enums/TPCError.html#/s:11TPCSDKSwift8TPCErrorO9requestIdSSSgvp)).
     * The UTC timestamp(s) of the error. If your logs use another timezone, include the offset.
   * Is it an SDK crash? If yes, provide:
     * The full crash stack trace decoded using the application's mapping file.
   * Is it a user experience issue? If yes, provide:
     * A screen recording, screenshots, and a short description of observed vs expected behavior.
3. What version and build variant of the Thales Push Provisioning SDK do you use?
   * Is it a `debug` or `release` variant? You can find the version and variant in the device logs. You can also read it using `TPCSDK.tpcsdkVersion` ([iOS](https://thalesgroup.github.io/d1sdk-docs/tpc-sdk/ios/latest/Classes/TPCSDK.html#/c:@M@TPCSDKSwift@objc\(cs\)TPCSDK\(cpy\)tpcsdkVersion)).
4. What is the occurrence of the issue?
   * Is it systematic?
   * Is it random?
   * How many times did it appear? For example, during 10 attempts?
   * What is the percentage of end users affected?
5. What are the steps to reproduce?
   * Are the steps always the same? (If the issue is systematic, answer "Yes".)
   * What is the use case related to the issue?
   * What are the prerequisites before the use case is triggered?
6. What devices and OS versions are affected?
   * This aims to clarify if the issue is device-specific, OS version-specific, or a combination of both.
   * What is the vendor and model of the device affected?
   * What is the OS version of the device affected?
   * It may also help to list devices where the issue does not occur. This can help narrow down the scope.
7. Is it possible to gather the SDK logs or at least a stack trace?
   * If you can reproduce the issue in a `debug` build using the `debug` SDK variant, collecting SDK logs should not block investigation.
   * In a `release` build, you might only have limited information in the ADB logs.
   * See [Troubleshooting](/classic-push-provisioning/developer-guide/troubleshooting.md) for SDK log collection details.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/classic-push-provisioning/help/reporting-an-issue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
